Package org.eclipse.lemminx.services.extensions

## Interface IDefinitionParticipant

All Known Implementing Classes:
  `AbstractDefinitionParticipant`, `DTDDefinitionParticipant`, `EntitiesDefinitionParticipant`, `RNGDefinitionParticipant`, `XMLReferencesDefinitionParticipant`, `XSDDefinitionParticipant`

    public interface IDefinitionParticipant

Definition participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findDefinition​(IDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find definition.

### Method Detail

#### findDefinition

    void findDefinition​(IDefinitionRequest request,
                        List<org.eclipse.lsp4j.LocationLink> locations,
                        org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Find definition.

Parameters:
  `request` -
  `locations` -
  `cancelChecker` -